package features

import (
	"testing"

	"dance-lessons-coach/pkg/bdd"
	"github.com/cucumber/godog"
)

func TestBDD(t *testing.T) {
	suite := godog.TestSuite{
		Name:                 "dance-lessons-coach BDD Tests",
		TestSuiteInitializer: bdd.InitializeTestSuite,
		ScenarioInitializer:  bdd.InitializeScenario,
		Options: &godog.Options{
			Format:   "progress",
			Paths:    []string{"."},
			TestingT: t,
		},
	}

	if suite.Run() != 0 {
		t.Fatal("non-zero status returned, failed to run BDD tests")
	}
}
